From: Sidheswar Sadbhaw <[email-masked]>
To: admin <[email-masked]>
Cc: Ramananda Moirangthem <[email-masked]>
Date: Sun, 10 Aug 2014 19:25:54 +0530 (IST)

Sir 

 
    First of all I am really sorry for the inconvenience I caused to you and all my colleges. I was on time but due to
    heavy rainfall,(raksha bandhan) and poor drainage system I was caught up in a situation. I was not able to board any bus or auto 
    rickshaw (that could drop me at the metro station). Hence the delay , also I did call the office to inform..representatives 
    received the call thrice but was not at all audible hence couldn't inform .I kept on saying that if you can hear me tell the boss 
    I may be late but I will come to the office .

    Sincerest Apologies

    Regards

    Sidheswar